#include <stdio.h>

// global variable - can see in all functions
int x = 10;

void func1() {
    printf("%d\n", x); // print out global 'x'
}

void func2() {
    int x = 99;         // also stack local, but within func2()
    printf("%d\n", x);
}

int
main(int argc, char *argv[])
{
    int x = 100;        // stack local variable: visible within main()
    printf("%d\n", x);
    func1();
    func2();
    printf("%d\n", x);
    return 0;
}

