#include <stdio.h>

int global = 0; // global variable

int func1() {
    int x;      // x is stack allocated: alive during function call
    x = 0;      // automatically deallocated when function returns
    x = x + 1;
    return x;
}

int
main(int argc, char *argv[])
{
    int p; // stack-allocated 'p' (automatic memory)
    p = func1(); 
    printf("%d\n", p); 
    printf("%d\n", global);

    // malloc stuff here
    int *x;
    x = malloc(12); // malloc(foo) means give me 'foo' bytes on the heap
    *x = 100; 
    printf("%d\n", *x); 
    return 0;
}

